# 版本说明
**************************************
语言版本: [简体中文](CHANGELOG_zh.md) | [English](CHANGELOG.md)

本文件用于记录项目的版本更新历史。

## 版本号格式
版本号格式为 `主版本号.次版本号.修订号`，版本号递增规则如下：
- 主版本号：当你做了不兼容的 API 修改时，递增主版本号。
- 次版本号：当你做了向下兼容的功能性新增时，递增次版本号。
- 修订号：当你做了向下兼容的问题修正时，递增修订号。
- 详细说明请参考 [语义化版本 2.0.0](https://semver.org)

## 记录类型
Init - 项目初始化。
Added - 新增的功能。
Changed - 对现有功能的更改。
Deprecated - 即将废弃的功能。
Removed - 现版本中移除的功能。
Fixed - 任何错误修复。
Security - 补丁与安全改进。
Note - 对于版本的额外说明。

***************************************************

# 版本更新记录
## [0.0.5] - 2024-05-08
### Added
- LLM组件支持流式调用
- 知识组件添加update定义

### Fixed
- 修复peer planner中可能存在的并发安全性隐患
- 修复0.0.4版本中pypi package打包方式导致启动强制要求用户填写AK问题

### Note 
- 追加部分代码优化与文档更新

## [0.0.4] - 2024-04-26
### Added
- 新增prompt版本管理能力

### Fixed
- Windows版本下的兼容问题修复
  * 由于Gunicore对于windows系统的兼容问题，自动识别内核版本自动选择web启动方式
  * yaml读取指定为utf-8 encode方式
### Note 
- [2024-05-08] 注意，0.0.4的pypi package版本中默认包含了sample_standard_app示例工程, 这将会在启动时引用sample_standard_app中的额外组件,并要求用户填写AK, 若您没有使用对应组件可以通过mock ak跳过这一限制, 这已经在0.0.5版本中修复。

## [0.0.3] - 2024-04-19
### Init
- agentUniverse正式外发版本初始化,祝您使用愉快！

## [0.0.2] - 2024-04-17
### Fixed
- 修复安装包版本时无法自动安装关联依赖包问题。 

## [0.0.1] - 2024-04-09
### Init
- 项目初始化提交,本框架是一个大模型多智能体框架,祝您使用愉快！